DUMPIMAGE(1)

NAME
dumpimage - extract data from U-Boot images

SYNOPSIS
dumpimage [-T type] -l image
dumpimage [-T type] [-p position] -o outfile image
dumpimage -h
dumpimage -V

DESCRIPTION
dumpimage lists and extracts data from U-Boot images. If -l is specified, dumpimage lists the components in image. Otherwise, dumpimage extracts the component at position to outfile.

OPTIONS

-h  Print usage information and exit.

-l  Print the header information for image, including a list of components.

-o outfile
    The file to write the dumped component to.

-p position
    Specify the position of the component to dump. This should be a numeric index, starting at 0. If not specified, the default position is 0.

-T type
    Specify the type of the image. If not specified, the image type will be automatically detected. A list of supported image types may be printed by running mkimage -T list.

-V  Print version information and exit.

BUGS
Please report bugs to the U-Boot bug tracker (https://source.denx.de/u-boot/u-boot/issues).

EXAMPLES
Create a multi-file image and then extract part of that image

    $
    mkimage -A x86 -O linux -T multi -n x86 \\
    -d vmlinuz:initrd.img:System.map multi.img
    Image Name:   x86
    Created:      Thu Jul 25 10:29:13 2013
    Image Type:   Intel x86 Linux Multi-File Image (gzip compressed)
    Data Size:    13722956 Bytes = 13401.32 kB = 13.09 MB
    Load Address: 00000000
    Entry Point:  00000000
    Contents:
       Image 0: 4040128 Bytes = 3945.44 kB = 3.85 MB
       Image 1: 7991719 Bytes = 7804.41 kB = 7.62 MB
       Image 2: 1691092 Bytes = 1651.46 kB = 1.61 MB
    $
    dumpimage -p 2 -o System.map multi.img

SEE ALSO
mkimage(1)